package model

import (
	"gorm.io/gorm"
)

type FsFaq struct {
	Id      int64   `gorm:"primary_key" json:"id"` //
	TagId   *int64  `gorm:"" json:"tag_id"`        // 分类ID
	TagName *string `gorm:"" json:"tag_name"`      // 分类名称
	Title   *string `gorm:"" json:"title"`         // 标题
	Content *string `gorm:"" json:"content"`       // 内容
	Status  *int64  `gorm:"" json:"status"`        // 状态(0:禁用，1:启用)
	Sort    *int64  `gorm:"" json:"sort"`          // 排序
	Ctime   *int64  `gorm:"" json:"ctime"`         // 添加时间
}
type FsFaqModel struct{ db *gorm.DB }

func NewFsFaqModel(db *gorm.DB) *FsFaqModel { return &FsFaqModel{db} }
