package model

import (
	"gorm.io/gorm"
)

type FsOrderDetailTemplate struct {
	Id            int64    `gorm:"primary_key" json:"id"`   //
	Sn            *string  `gorm:"" json:"sn"`              // 唯一编码
	ProductId     *int64   `gorm:"" json:"product_id"`      // 产品ID
	ModelId       *int64   `gorm:"" json:"model_id"`        // 模型ID
	TemplateId    *int64   `gorm:"" json:"template_id"`     // 模板ID
	MaterialId    *int64   `gorm:"" json:"material_id"`     // 材质id
	SizeId        *int64   `gorm:"" json:"size_id"`         // 尺寸id
	EachBoxNum    *int64   `gorm:"" json:"each_box_num"`    // 每一箱的个数
	EachBoxWeight *float64 `gorm:"" json:"each_box_weight"` // 每一箱的重量 单位KG
	DesignId      *int64   `gorm:"" json:"design_id"`       // 设计ID
	Ctime         *int64   `gorm:"" json:"ctime"`           // 添加时间
}
type FsOrderDetailTemplateModel struct{ db *gorm.DB }

func NewFsOrderDetailTemplateModel(db *gorm.DB) *FsOrderDetailTemplateModel {
	return &FsOrderDetailTemplateModel{db}
}
